import socket
 
HOST, PORT = '', 8080

listen_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
listen_socket.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)
listen_socket.bind((HOST, PORT))
listen_socket.listen(1)
print 'Serving HTTP on port %s ...' % PORT
while True:
    client_connection, client_address = listen_socket.accept()
    request = client_connection.recv(1024)
    print request

    http_response = """\
HTTP/1.1 200 OK

<h1>Updating System</h1>
<h2> </h2>
<h2>    ***  ERROR  ***</h2>
<h2>USB Flash Drive not detected</h2>
<h2> </h2>
<h2>Correct problem and then</h2>
<h2>Restart the controller...</h2>
"""
    client_connection.sendall(http_response)
    client_connection.close()
